org.apache.ignite.internal.visor.binary

## Class VisorBinaryMetadataCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorBinaryMetadataCollectorTaskArg,VisorBinaryMetadataCollectorTaskResult>
    - - org.apache.ignite.internal.visor.binary.VisorBinaryMetadataCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorBinaryMetadataCollectorTaskArg>,VisorBinaryMetadataCollectorTaskResult>

    @GridInternal
    public class VisorBinaryMetadataCollectorTask
    extends VisorOneNodeTask<VisorBinaryMetadataCollectorTaskArg,VisorBinaryMetadataCollectorTaskResult>

Task that collects binary metadata.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorBinaryMetadataCollectorTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.binary.VisorBinaryMetadataCollectorTask.VisorBinaryCollectMetadataJob` `job(VisorBinaryMetadataCollectorTaskArg lastUpdate)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorBinaryMetadataCollectorTask

    public VisorBinaryMetadataCollectorTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.binary.VisorBinaryMetadataCollectorTask.VisorBinaryCollectMetadataJob job(VisorBinaryMetadataCollectorTaskArg lastUpdate)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorBinaryMetadataCollectorTaskArg,VisorBinaryMetadataCollectorTaskResult,VisorBinaryMetadataCollectorTaskResult>`
Parameters:
  `lastUpdate` - Task arg.
Returns:
  New job.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018